query listTaxForms @auth(level: USER) {
  taxForms {
    id
    formType
    title
    subtitle
    description
    status
    staffId
    formData
    createdAt
    updatedAt
    createdBy
  }
}

query getTaxFormById($id: UUID!) @auth(level: USER) {
  taxForm(id: $id) {
    id
    formType
    title
    subtitle
    description
    status
    staffId
    formData
    createdAt
    updatedAt
    createdBy
  }
}

query getTaxFormsBystaffId($staffId: UUID!) @auth(level: USER) {
  taxForms(where: { staffId: { eq: $staffId } }) {
    id
    formType
    title
    subtitle
    description
    status
    staffId
    formData
    createdAt
    updatedAt
    createdBy
  }
}

query filterTaxForms(
  $formType: TaxFormType
  $status: TaxFormStatus
  $staffId: UUID
) @auth(level: USER) {
  taxForms(
    where: {
      formType: { eq: $formType }
      status: { eq: $status }
      staffId: { eq: $staffId }
    }
  ) {
    id
    formType
    title
    status
    staffId
  }
}
